Telephony

The Telephony Application Programming Interface (TAPI), as implemented by Windows 2000 unifies Internet Protocol (IP) and traditional public switched telephone network (PSTN) telephony to support programs that effectively work the same way over intranets, the Internet, and traditional networks. This section provides information for configuring and managing both IP and PSTN telephony servers and clients.
  • Before you begin using telephony with this computer, see Checklists.
  • To find features that have been moved in Windows 2000, see New ways to do familiar tasks.
  • For tips about using Telephony, see Best practices.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.


Checklists

  • Checklist: Installing IP telephony (H.323)
  • Checklist: Installing IP multicast video conferencing
  • Checklist: Setting up a telephony server
  • Checklist: Setting up telephony clients


Checklist: Installing IP Telephony (H.323)

Step | Reference
Review key concepts. | IP telephony
Confirm that TCP/IP is running on your network. | TCP/IP
Confirm that QoS is enabled on your network and that RSVP is enabled on routers in your network. | QoS Admission Control; RSVP
Confirm that you have a Windows 2000 domain with Active Directory. (This is required for Phone Dialer to automatically locate the Site Server ILS server.) If not, set up a Windows 2000 domain controller and Active Directory on your network. | Active Directory and Site Server ILS service
Confirm that Internet Information Services (IIS Admin Service) is installed and running, and install it if it is not listed in the installed services. | To start, stop, pause, resume, or restart a service; Install IIS; Install Site Server ILS service; Publish Site Server ILS servers
Configure IP and PSTN gateways and firewall proxies | Specify an H.323 gateway or proxy
Make voice or video IP telephony calls with Phone Dialer. | Using Phone Dialer for telephony


Checklist: Installing IP multicast video conferencing

Step | Reference
Review key concepts. | IP multicast video conferencing
Confirm that TCP/IP is running on your network. | TCP/IP
Confirm that QoS is enabled on your network and that RSVP is enabled on routers in your network. | QoS Admission Control; RSVP
Confirm that your network is enabled for multicast. | Enabling IP multicast
Set up up a Windows 2000 domain controller and Active Directory on your network. | Active Directory and Site Server ILS service
Install Site Server ILS service on your network.
  • Confirm that Internet Information Services (IIS Admin Service) is running. Install it if it is not listed in the installed services.
  • Install Site Server ILS service.
  • Publish the Site Server ILS server in Active Directory.
 To start, stop, pause, resume, or restart a service;
Install IIS

Install Site Server ILS service

Publish Site Server ILS servers
Configure MADCAP (formerly MDHCP) on your network for IP multicast telephony.
  • Install the DHCP service if it is not already installed.
  • For networks using domains you must authorize the DHCP service in the domain's directory service database. This prevents users from setting up unauthorized DHCP services.
    This is not necessary if the server has been authorized already (for example, if it already functioning as a DHCP server).
  • To have the DHCP server allocate multicast addresses using the MADCAP protocol, create a new multicast scope.
 Dynamic Host Configuration Protocol (DHCP)

To authorize a DHCP server

To create a multicast scope
Set up multimedia devices on client workstations. Setting up workstations for IP telephony;
Configure multimedia devices;
Eliminating acoustic echo
Set up conference rooms. Setting up conference rooms;
Eliminating acoustic echo
Make multicast video conference calls with Phone Dialer. | Using Phone Dialer for telephony


Checklist: Setting up a telephony server

Step | Reference
Review key concepts. | General telephony concepts
For the TAPI server, set up or select a Windows 2000 server that is in the same domain as the telephony clients or that is in a domain that has a two-way trust relationship with the domain containing the telephony clients. |
Install telephony hardware and software on the server. | Manufacturer's documentation
Enable the TAPI server. | Enable or disable a telephony server
Specify a login account for the telephony server. (You can create a specific account for this, such as TAPI_ADMIN.) | Change the logon account for Telephony service
Designate telephony service administrators who are not in the administrator group on the TAPI server. | Designate telephony service administrators
Assign telephony users to lines or phones. | Assign a telephony user to a line or phone


Checklist: Setting up telephony clients

Step | Reference
Review key concepts. | General telephony concepts
Confirm that Windows NT 4.0 and Windows 95 clients are running TAPI version 2.1 or later. | Resources: Service packs and updates
Install any necessary telephony hardware and software on the clients. | Manufacturer's documentation
Enable Windows 98 or Windows 95 clients. | Enable a Windows 95 or Windows 95 TAPI client
On each client, specify the TAPI servers to be used by the client. | Specify telephony servers on a client computer; Tcmsetup command reference
Configure general dialing rules, area code rules, and calling cards as required for users. | Create a new location
Dial and receive phone calls with Phone Dialer. | Using Phone Dialer for telephony


New ways to do familiar tasks

This table lists common tasks for Telephony. The user interface for performing these tasks is different in Windows 2000 than it was in Windows NT 4.0.

If you want to | In Windows NT 4.0, use | In Windows 2000,
Create a dialing location | Telephony in Control Panel | Open Phone and Modem Options. For more information, see To create a new location.
Configure dialing properties for a location | Telephony in Control Panel | Open Phone and Modem Options. For more information, see To change dialing properties for a location.
Specify area code rules | Telephony in Control Panel | Open Phone and Modem Options. For more information, see To specify area code rules.
Create a calling card | Telephony in Control Panel | Open Phone and Modem Options. For more information, see To create a new calling card.
Set up or disable a TAPI server | The Tcmsetup command | Open Telephony. For more information, see To enable or disable a telephony server.
Set up or disable a TAPI client | The Tcmsetup command | The Tcmsetup command. For more information, see To specify TAPI servers on a client computer.
Assign users to lines or phones | The Tcmapp command | Open Telephony. For more information, see To assign a telephony user to a line or phone.
Add a TAPI service provider on a local or remote server | Telephony in Control Panel | Open Telephony. For more information, see To add a telephony service provider on a TAPI server.
Add a TAPI service provider on a local server or client | Telephony in Control Panel | Open Phone and Modem Options. For more information, see To add a telephony service provider.
Make voice calls | Phone Dialer in Accessories | Open Phone Dialer. For more information, see Using phone dialer for telephony.
Make video calls or IP multicast video conference calls | Not available. | Open Phone Dialer. For more information, see Using phone dialer for telephony.


Best practices

You should consider these factors when planning a deployment of a PBX, TAPI server, and CTI link, IP telephony (H.323), and IP multicast video conferencing:

  • As a rule, any computer with enough processing power to run Windows 2000 Server can act as a telephony server, linking client computers to hardware, such as a PBX.

    Other services, especially server-side telephony programs, may have different requirements.

    Remember that, if the telephony server is the PBX, it may make additional processing demands.

  • Obtain service provider components required to communicate with a PBX from a PBX vendor or value-added reseller.

    TAPI does not supply the service provider components required to communicate with a PBX.

  • Like networking software, a telephony program must be secured to protect privacy and data integrity.

    The TAPI service must run on a Windows 2000 Server domain member computer, and all users must have valid domain accounts. The domain administrator defines which users have permission to communicate with the switch, and the TAPI server administrator defines which lines those users can access.

  • Telephony client users must be in the same domain as the telephony server

    Make sure that telephony clients are in the same domain as a telephony server or in a domain that has a two-way trust relationship with the domain containing the server. MADCAP servers and Site Server ILS servers must also be in the same domain as their client computers.

  • Specify the server on a TAPI client to make lines or phones available to the client users

    TAPI is automatically installed on both Windows 2000 Server and Professional. However, a server must be specified on the TAPI client before its lines are available to the client users.

    For more information, see To specify telephony servers on a client computer.

  • Set up a Windows 2000 domain and install Active Directory for IP telephony (H.323) and IP multicast video conferencing.

    This enables Phone Dialer to automatically locate the Site Server ILS server in your network.

    For more information, see Active Directory and Site Server ILS service.

  • The Site Server ILS service must be installed on a server that belongs to a Windows 2000 domain.

    For more information, see Site Server ILS service and Use Site Server ILS service.

  • When you create a multicast scope, be certain to provide a range of addresses that is large enough for your needs.

    If a range is not large enough, the scope's pool of address will be exhausted. The time-out period must also allow addresses to be reused often enough to keep the pool of addresses from being exhausted. A setting of 30 days is normally sufficient.

    For more information, see Using multicast scopes, To create a multicast scope, and Enabling IP multicast.


How to ...

  • Use Site Server ILS service
  • Create a multicast scope
  • Manage Telephony servers
  • Manage TAPI providers on a server
  • Manage TAPI clients and users
  • Change how phone calls are dialed


Use Site Server ILS service

  • Install Site Server ILS service
  • Manage Site Server ILS service
  • Publish Site Server ILS servers


Install Site Server ILS service

To install Site Server ILS service

  1. Open Add/Remove Programs in Control Panel.
  2. In the navigation pane, click Add/Remove Windows Components.
  3. In Components, click Networking Services, and then click Details. Do not select or clear the check box when you click Networking Services.
  4. In the subcomponents list, select the Site Server ILS Services check box, and then click OK.
  5. Click Next, and then follow the instructions.

Notes

  • You may have to restart the computer to begin using the service.
  • Site Server ILS service provides directory services on a server for IP multicast conferencing and H.323 telephony. It publishes IP multicast conferences and user IP mappings for H.323 IP telephony in a dynamic directory, and enables clients to join conferences and make IP telephone calls.
  • Before you perform this procedure, the server must belong to a Windows 2000 domain, and it must be running the IIS Admin Service. To check or start IIS Admin Service, see To start, stop, pause, resume, or restart a service. If IIS Admin Service is not listed in the installed services, then see Install IIS.
  • Installation of Site Server ILS service may fail if Site Server is already installed on your computer and the Site Server ILS service was already installed along with Site Server. Consult the Site Server documentation to enable the Site Server ILS service. Uninstalling Site Server may cause the Site Server ILS service to stop functioning.
  • Certain Windows components require configuration before thay can be used. If you installed one or more of these components, but did not configure them, when you click Add/Remove Windows Components, a list of components that need to be configured is displayed. To start the Windows Components wizard, click Components.

Related Topics


Manage Site Server ILS service

To manage Site Server ILS service

  1. Open Computer Management.
  2. In the console tree, click Services.

    Where?

    • Computer Management
    • System Tools
    • Services
  3. In the details pane, locate Site Server ILS Service.
  4. In the Status column, confirm that the service is started.
  5. Right-click the service, and then:
    • To change the status of the service, click Start, Stop, Pause, Resume, or Restart.
    • To change the properties, click Properties.

Notes

  • To open Computer Management, click Start, point to Settings, click Control Panel, and then double-click Administrative Tools.
  • In Site Server ILS Service Properties, you can start or stop the service, change the startup configuration, specify a account and password to log on to the system, specify recovery options, and specify dependencies.

Related Topics


Publish Site Server ILS servers

To publish Site Server ILS servers

  1. Open the Command Prompt window.
  2. Type the ilscfg command to publish, unpublish, or list Site Server ILS service servers. For details, see ilscfg.

Notes

  • To open the Command Prompt window, click Start, point to Programs, point to Accessories, and then click Command Prompt.
  • You must be a member of the Domain Administrators group to publish a server. If you are an administrator working at a computer logged on in another group, see Use RunAs to start a program as an administrator.
  • When you install the Site Server ILS service, Active Directory makes the location of the server available to IP Telephony users on the network. To create a private server, use the ilscfg /unpublish command.
  • If attempts are made to publish several different Site Service ILS servers in the same directory, the published server is the one specified by the last attempt.
  • When you unregister a server with /unpublish, you must type the server name exactly as it is listed by ilscfg /listpub. Otherwise, ilscfg will fail to unregister the server.

Related Topics


Create a multicast scope

To create a multicast scope

  1. Open DHCP.
  2. In the console tree, right-click the applicable DHCP server where you want to create a multicast scope, point to New, and then click Multicast Scope.

    Where?

    • DHCP
    • Applicable DHCP server
  3. On the Welcome page of the Create Multicast Scope wizard, click Next.
  4. Type a name and description for the scope, and click Next.
  5. In Address range, type a valid IP address range for the multicast scope.
  6. In TTL, specify the number of days multicast scope packets should be held.
  7. In Scope ID, enter a unique numeric identifier for this multicast scope.
  8. Add any addresses or range of addresses to exclude from the distribution, and then click Next.
  9. Select a DHCP lease duration for the affected addresses, and then click Next.
  10. Select the Activate check box, and then click Finish.
  11. Repeat the procedure to create any additional scopes.

Notes

  • To open DHCP, click Start, point to Programs, point to Administrative Tools, and then click DHCP.
  • Valid addresses for a multicast scope are in the following ranges:

    239.255.0.0 to 239.255.255.255
    239.254.0.0 to 239.254.255.255
    239.253.0.0 to 239.253.255.255

    Use the ranges in the order shown here, exhausting all addresses in each one before using a subsequent range. Provide a range of addresses that is large enough for your needs, and be sure to set a time-out period that will allow addresses to be reused often enough to keep the scope's pool of addresses from being exhausted. A setting of 30 days is normally sufficient.

  • If you are running the MADCAP server inside a Windows 2000 domain, it may generate warning messages for granting permissions to the DHCP server. See Related Topics for additional information for enabling permissions for DHCP servers with Active Directory.

Related Topics


Manage Telephony servers

  • Enable or disable a telephony server
  • Add a server to the Telephony snap-in
  • Delete a server from the Telephony snap-in
  • Designate Telephony service administrators
  • Change the logon account for Telephony service
  • Update information for a telephony server


Enable or disable a telephony server

To enable or disable a telephony server

  1. Open Telephony.
  2. In the console tree, the server you want to manage.

    Where?

    • Telephony
    • server
  3. On the Action menu, click Properties.
  4. On the Setup tab, select the Enable telephony server check box to enable the server or clear the check box to disable the server.
  5. When you enable the server, specify a logon account under Account Information. It must be a member of the Administrators group on the server, and also be in the same domain as the server or in a domain that has a two-way trust relationship with the domain containing the server.

Notes

  • To open Telephony on Windows 2000 Server, click Start, click Run, and then type tapimgmt.msc. With Windows 2000 Administration Tools installed in Windows 2000 Professional, click Start, point to Programs, point to Administrative Tools, and then click Telephony. (See Managing servers remotely).
  • This procedure changes whether clients can use the telephony devices on the server. Changes take effect the next time the system attempts to start the TAPI service.
  • If the Enable telephony server check box is unavailable, you need to start the Telephony service first. For more information, see Start, stop, pause, or resume a service.
  • To manage the Telephony service, you must be a telephony administrator on the server or logged on as an administrator of the server.

Related Topics


Add a server to the Telephony snap-in

To add a server to the Telephony snap-in

  1. Open Telephony.
  2. In the console tree, click Telephony.

    Where?

    • Telephony
  3. In the Action menu, click Add Computer.
  4. In Look in, click the domain where the server is located.
  5. In Name, enter the name of the TAPI server computer to manage.

Notes

  • To open Telephony on Windows 2000 Server, click Start, click Run, and then type tapimgmt.msc. With Windows 2000 Administration Tools installed in Windows 2000 Professional, click Start, point to Programs, point to Administrative Tools, and then click Telephony. (See Managing servers remotely.)
  • You must be logged on as an administrator of the server or of telephony on the server to manage it. Your account must also be in the same domain as the server or in a domain that has a two-way trust relationship with the domain containing the server.
  • The Telephony server must be enabled on the computer you want to administer. If it is not, click Related Topics for the procedure to enable a Telephony server.

Related Topics


Delete a server from the Telephony snap-in

To delete a server from the Telephony snap-in

  1. Open Telephony.
  2. In the console tree, click the server you want to remove.

    Where?

    • Telephony
    • server
  3. On the Action menu, click Delete.

Notes

  • To open Telephony on Windows 2000 Server, click Start, click Run, and then type tapimgmt.msc. With Windows 2000 Administration Tools installed in Windows 2000 Professional, click Start, point to Programs, point to Administrative Tools, and then click Telephony. (For more information, see Managing servers remotely.)
  • This procedure removes the server from Telephony Manager. It does not disable it or prevent it from being used by TAPI clients. For the procedure to disable a TAPI server, click Related Topics.

Related Topics


Designate Telephony service administrators

To designate Telephony service administrators

  1. Open Telephony.
  2. In the console tree, click the server you want to manage.

    Where?

    • Telephony
    • server
  3. On the Action menu, click Properties.
  4. In Telephony administrators, click Add.
  5. In Look in, click the domain where the user account is located.
  6. In Name, enter the name of the user.
  7. Click Add, and then click OK.

Notes

  • To open Telephony on Windows 2000 Server, click Start, click Run, and then type tapimgmt.msc. With Windows 2000 Administration Tools installed in Windows 2000 Professional, click Start, point to Programs, point to Administrative Tools, and then click Telephony. (See Managing servers remotely.)
  • Use this procedure to enable users who are not administrators for the server to administer the Telephony service.
  • A Telephony administrator account must be in the same domain as the telephony server or that is in a domain that has a two-way trust relationship with the domain containing the server.
  • If the domain is not listed in Look in, try typing the user name in Name, as follows:

    domain\username

Related Topics


Change the logon account for Telephony service

To change the logon account for Telephony service

  1. Open Telephony.
  2. In the console tree, click the server you want to manage.

    Where?

    • Telephony
    • server
  3. On the Action menu, click Properties.
  4. Under Account Information, click Choose User.
  5. In Look in, click the Domain where the user is located.
  6. In Name, enter the name of the user.

Notes

  • To open Telephony on Windows 2000 Server, click Start, click Run, and then type tapimgmt.msc. With Windows 2000 Administration Tools installed in Windows 2000 Professional, click Start, point to Programs, point to Administrative Tools, and then click Telephony. (See Managing servers remotely.)
  • The logon account for the Telephony service must be in the same domain as the telephony server or in a domain that has a two-way trust relationship with the domain containing the server.
  • If the user's domain is not listed in Look in, try specifying the domain by typing domain\username of the user in Name.

Related Topics


Update information for a telephony server

To update information for a telephony server

  1. Open Telephony.
  2. In the console tree, click the server you want to manage.

    Where?

    • Telephony
    • server
  3. In the Action menu, click Refresh.

Notes

  • To open Telephony on Windows 2000 Server, click Start, click Run, and then type tapimgmt.msc. With Windows 2000 Administration Tools installed in Windows 2000 Professional, click Start, point to Programs, point to Administrative Tools, and then click Telephony. (For more information, see Managing servers remotely.)
  • This procedure updates the status of lines and phones, displays new lines and phones, and shows changes made by others administering the telephony service.

Related Topics


Manage TAPI providers on a server

  • Add a telephony service provider on a TAPI server
  • View the status of a TAPI provider's lines or phones
  • Export service provider information to a text file
  • Enable auto updates for TAPI devices
  • Configure service providers on a telephony server


Add a telephony service provider on a TAPI server

To add a telephony service provider on a TAPI server

  1. Open Telephony.
  2. In the console tree, click the server you want to manage.

    Where?

    • Telephony
    • server
  3. In the Action menu, click Manage Providers.
  4. Under Available telephony providers, select the provider you want to add, and then click Add.
  5. Confirm that the driver was added to the list of providers, and then click Close.

Notes

  • To open Telephony on Windows 2000 Server, click Start, click Run, and then type tapimgmt.msc. With Windows 2000 Administration Tools installed in Windows 2000 Professional, click Start, point to Programs, point to Administrative Tools, and then click Telephony. (See Managing servers remotely.)
  • If you do not see the provider you want in the list, click Add to add the provider.
  • After you add a service provider, Telephony Manager may not display the lines and phones supported by the service provider until after the computer is restarted.
  • If the telephony driver is not listed in the Available telephony privers list, you need to install the driver files in the Systemroot\system32 folder. Usually you can use the setup program on a telephony device manufacturer's installation disk. For additional information, see the manufacturer's installation instructions.

Related Topics


View the status of a TAPI service provider's lines or phones

To view the status of a TAPI service provider's lines or phones

  1. Open Telephony.
  2. In the console tree, click the service provider you want to manage.

    Where?

    • Telephony
    • server
    • service provider
  3. Click View.
  4. Click Lines or Phones.

Notes

  • To open Telephony on Windows 2000 Server, click Start, click Run, and then type tapimgmt.msc. With Windows 2000 Administration Tools installed in Windows 2000 Professional, click Start, point to Programs, point to Administrative Tools, and then click Telephony. (See Managing servers remotely.)

Related Topics


Export service provider information to a text file

To export service provider information to a text file

  1. Open Telephony.
  2. In the console tree, click the service provider you want to manage.

    Where?

    • Telephony
    • server
    • service provider
  3. On the Action menu, click Export List.

Notes

  • To open Telephony on Windows 2000 Server, click Start, click Run, and then type tapimgmt.msc. With Windows 2000 Administration Tools installed in Windows 2000 Professional, click Start, point to Programs, point to Administrative Tools, and then click Telephony. (See Managing servers remotely.)
  • This exports the list of phones or lines to a text file.


Enable auto updates for TAPI devices

To enable auto updates for TAPI devices

  1. Open Telephony.
  2. In the console tree, click the server you want to manage.

    Where?

    • Telephony
    • server
  3. On the Action menu, click Properties, then click the Auto Updates tab.
  4. Select the Enable device status auto updates check box.
  5. Next to Interval, type the Hours and Minutes between automatic updates.

Notes

  • To open Telephony on Windows 2000 Server, click Start, click Run, and then type tapimgmt.msc. With Windows 2000 Administration Tools installed in Windows 2000 Professional, click Start, point to Programs, point to Administrative Tools, and then click Telephony. (See Managing servers remotely.)
  • The action enabled by this procedure updates only the status information for lines and phones.

Related Topics


Configure service providers on a telephony server

To configure service providers on a telephony server

  1. Open Telephony.
  2. In the console tree, click the server you want to manage.

    Where?

    • Telephony
    • server
  3. On the Action menu, click Manage Providers.
  4. Click the service provider to configure and click Configure.

    If Configure is not available, then the service provider has no configurable properties.

Notes

  • To open Telephony on Windows 2000 Server, click Start, click Run, and then type tapimgmt.msc. With Windows 2000 Administration Tools installed in Windows 2000 Professional, click Start, point to Programs, point to Administrative Tools, and then click Telephony. (See Managing servers remotely.)
  • The settings you can change depend on the service provider.
  • You can also configure service providers on the local computer using Phone and Modem Options in Control Panel. For additional information, see Related Topics.

Related Topics


Manage TAPI clients and users

  • Assign a telephony user to a line or phone
  • Remove users from telephony lines or phones
  • Specify telephony servers on a client computer
  • Add a telephony service provider
  • Configure a telephony service provider
  • Specify an H.323 gateway or proxy
  • Enable a Windows 95 or Windows 98 TAPI client


Assign a telephony user to a line or phone

To assign a telephony user to a line or phone

  1. Open Telephony.
  2. In the console tree, click service provider you want to manage.

    Where?

    • Telephony
    • server
    • service provider
  3. In the details pane, under Line Name or Phone Name, click the line or phone.
  4. In the Action menu, click Edit Users, then click Add.
  5. In Look in, click the domain containing the user.
  6. In the list, select the user, and then click Add.

Notes

  • To open Telephony on Windows 2000 Server, click Start, click Run, and then type tapimgmt.msc. With Windows 2000 Administration Tools installed in Windows 2000 Professional, click Start. point to Programs, point to Administrative Tools, and then click Telephony. (See Managing servers remotely.)
  • This procedure permits TAPI client programs run by the user to use the line or phone on the server.
  • A user added for a phone or line must be in the same domain as the TAPI server or in a domain that has a two-way trust relationship with the domain containing the server.
  • Before a user can use the telephony line or phone, the TAPI server must be specified on the client computer. For additional information, click Related Topics.

Related Topics


Remove users from telephony lines or phones

To remove users from telephony lines or phones

  1. Open Telephony.
  2. In the console tree, click service provider you want to manage.

    Where?

    • Telephony
    • server
    • service provider
  3. In the details pane, under Line Name or Phone Name click the line or phone.
  4. In the Action menu, click Edit Users.
  5. In Assigned Users, click a user, then click Remove.

Notes

  • To open Telephony on Windows 2000 Server, click Start, click Run, and then type tapimgmt.msc. With Windows 2000 Administration Tools installed in Windows 2000 Professional, click Start. point to Programs, point to Administrative Tools, and then click Telephony. (For more information, see Managing servers remotely.)
  • After you perform this procedure, TAPI client programs run by the user will be unable to use the line or phone on the TAPI server.

Related Topics


Enable a Windows 95 or Windows 98 TAPI client

To enable a Windows 95 or Windows 98 TAPI client

  1. On a Windows 95 or Windows 98 TAPI client computer, click Start, point to Settings, and then click Control Panel.
  2. Double-click Network.
  3. (Optional) If Client for Microsoft Networks is not in the list of installed network components, click Add, and follow the instructions to add it.
  4. Click File and Print Sharing, confirm that both check boxes are selected, and then click OK.
  5. Click the Access Control tab, click User-level access control, then click OK.

Notes

  • After you complete this procedure, you need to specify a TAPI server on the client. To make the telephony resources on the server available to the client users, the server administrator needs to assign the users to telephones or lines on the server. Users must log onto a valid domain account. See Related Topics for additional information.
  • A Windows 95 TAPI client must be upgraded to TAPI 2.1 to use the PSTN services provided by a Windows 2000 TAPI server. See Related Topics for information about service packs and updates.

Related Topics


Change how phone calls are dialed

  • Create a new location
  • Change dialing properties for a location
  • Specify area code rules
  • Specify numbers to dial an outside line
  • Create a new calling card
  • Modify an existing new calling card
  • Use a calling card for long-distance dialing
  • To specify a long distance carrier


Concepts

  • Telephony overview
  • Understanding telephony
  • Using telephony
  • Resources


Telephony overview

The Telephony Application Programmers Interface (TAPI) integrates telecommunications with the computer. TAPI supports both traditional (or PSTN) and IP telephony to provide voice, data, and video communication. Supported hardware includes sound and video cards, modems, ISDN lines, ATM networks, and cameras. With this, you can communicate over direct connections to local computers, phone lines, LANs, WANS, and the Internet.

In addition to making and receiving calls, programs can use TAPI to provide enhanced telephony features such as caller ID, call routing, voice mail, and video conferencing. Communication programs may identify the caller, recall and display caller information, and even prioritize or route a call, based on customer information.

With TAPI, there is a common standard so that communication programs can control telephony functions for data, fax, and voice calls.

  • TAPI manages all signaling between a computer and a telephone network, including basic functions such as dialing, answering, and hanging up a call.
  • TAPI includes supplementary functions that are found in PBX, ISDN, and other phone systems, such as hold, transfer, conference, and call park.
  • TAPI provides access to features that are specific to certain service providers, with built-in extensibility to accommodate additional telephony features and networks .
  • TAPI allows users to make audio and video telephone calls over IP networks using the H.323 protocol and IP multicast video conferencing.
  • TAPI includes quality of service (QoS) support to improve conference quality and network manageability.

All of this enables TAPI to unify IP and traditional telephony and support programs that effectively work the same way over intranets and the Internet as they do over the traditional telephone network. Furthermore, the current version of TAPI provides compatibility with previous versions to support existing TAPI programs.

HyperTerminal, Phone Dialer, Network and Dial-up Connections, and Fax are communication programs that are provided with Windows 2000 which use TAPI. You can also install other Microsoft or third-party programs to provide additional telephony support. The common interface that TAPI provides enables different communication programs to work together and share communication devices.


Understanding telephony

This section covers:

  • General telephony concepts
  • IP telephony
  • IP multicast video conferencing
  • TAPI, Active Directory, and Site Server ILS service
  • Telephony service providers


General telephony concepts

This section covers:

  • Introduction to telephony
  • PSTN telephony
  • PSTNs, PBXs, and computer networks
  • How TAPI supports programs and hardware


Introduction to telephony

The Telephony Application Programming Interface (TAPI) provides a uniform set of commands for any supported telephony device that is connected to your computer.

How TAPI works

When you use a Windows program to send faxes, connect to a telephone, make a call using IP, join a conference, or perform other TAPI-supported activities, there are three layers of software that enable you to use a telephony device: an application program, TAPI, and a TAPI service provider.

TAPI's three layers
  • An application program enables you to make phone calls, send and receive data or faxes, or join conferences. Microsoft and independent software vendors provide application programs that incorporate TAPI functionality. Examples include Phone Dialer, HyperTerminal, and Fax Service included with the Windows 2000 operating system.
  • TAPI provides telephony functions for application programs, such as dialing.
  • A TAPI service provider translates the commands for a telephony device or telephony protocol. TAPI service providers for modems and several telephony protocols are installed with the Windows operating system, and others are provided by independent hardware vendors.

How TAPI works with telephony hardware

In place of proprietary solutions that are difficult and expensive to implement, TAPI provides a single set of commands allowing hardware and software to come from different sources. When a telephony application requests an action, TAPI determines which TAPI service provider supports the device, and the service provider sends the appropriate commands to the device.

For example, the Unimodem (Universal Modem) service provider is installed with Windows. When a program wants to dial a phone number, TAPI sends the appropriate commands to the Unimodem service provider, and it sends the correct sequence of commands for dialing the number on the particular modem attached to the computer. The program does not need to know anything about the modem.

With TAPI, Windows 2000 provides a telephony platform. Windows is the operator that interconnects computer and telephony resources to direct and manage calls. TAPI-based software can provide solutions ranging from complete small office systems or home office systems to PBX front ends integrating an Enterprise's computer and telephone networks.

How TAPI makes resources available to users

Network users make calls using lines. They may also use phones for call management and control. These are supported by the TAPI service providers. A telephony administrator makes telephony resources on a server, such as lines and phones, available to users.

Lines

In Telephony, a line is any media stream (data, voice, or video) supported by a TAPI service provider. For a modem, the line represents an actual telephone line. For other devices, it can represent another media stream, such as a gateway to the Internet. Calls are made using a line provided by a TAPI service provider. A single line can support more than one call at a time, such as with call waiting and conferencing. The TAPI service provider determines how physical devices are represented by TAPI lines.

Phones

A phone in TAPI represents terminal equipment that is supported by a TAPI service provider. In TAPI, a "phone" closely models a physical telephone, but may not be actual hardware. It includes the concepts of a hookswitch, handset, speaker, microphone, display, lamps, and programmable buttons. As with an actual telephone on your desk, a phone may be used without actually making calls to someone else. For example, you can use a telephone handset to listen to or retrieve voice mail messages.

A phone does not have to represent actual hardware, but can be emulated in software. For instance, this type of phone might be an application that uses TAPI or a TAPI service provider. A physical phone is not required to manage a media stream and, although all TAPI service providers support lines, not all TAPI service providers support phones.

How TAPI supports telephony

Windows supports computer-telephony integration, from simple small office or home-based solutions to full-scale, enterprise-wide solutions. Low-level solutions enable an individual to use telephony, for instance, to:

  • Use a computer as an answering machine or voice mailbox.
  • Use a computer to send and receive faxes.
  • Use a microphone and speaker or a speakerphone connected to a multimedia computer as a phone system.
  • Log on to a computer from a remote location.

These solutions are typically supported by a direct connection from a desktop computer to a phone line with a modem. Enterprise-wide solutions rely on a network and enable an organization to:

  • Use a computer either as a multiline phone system or as a multifunction PBX controller.
  • Provide a voice-mail system across your entire enterprise.
  • Provide a fax system across your entire enterprise.
  • Provide on-demand audio information services that allows callers to retrieve prerecorded or computer-generated text-to-speech information
  • Fax information to customers on demand , based on touch-tone keys or other input.
  • Implement automatic, list-based dialing for telemarketing.
  • Deliver database information related to a call (such as a customer profile or account information) at the same time it is switched to a desktop.
  • Create a single, easy-to-use client application to manage all communications, such as voice, pager, e-mail, and conferencing.
  • Provide dial-up access to the network.

On a Windows 2000 network, a hardware interface adapter on a server connects the LAN to a public or private telephone network. The adapter is supported by a TAPI service provider. Programs running on the server provide calling features such as conferencing, transferring, forwarding, holding, and automatic redialing. The server controls the calls going through the network and out onto the PBX.

Application programs on a client provide voice, video, fax, and data communications for the user. As illustrated here, the client applications call functions provided by the TAPI service on the client. The TAPI service on the client uses the TAPI Remote Service Provider to communicate over the network with the TAPI service providers on the server, and the actual telephony services are provided by the TAPI service providers managing telephony devices on the server.


PSTN telephony

The public switched telephone network (PSTN) is a traditional, circuit-switched network which is optimized for real-time voice communication. When you call someone, you close a switch by dialing and establish a circuit with the other party. The PSTN guarantees quality of service (QoS) by dedicating the circuit to your call until you hang up the telephone. Whether you and your party are talking or silent, you continue to use the same circuit until you hang up.

The Telephony Application Programming Interface (TAPI) enables programs to communicate easily over the traditional telephone network. TAPI provides support for the direct connection to a PSTN network, automatic phone dialing, and interfaces for conference calling, voice mail, and caller ID.

TAPI helps make Windows 2000 a powerful and flexible platform for developing and using computer-telephony integration (CTI) programs. Programs can build on TAPI's client-server support to provide a graphical interface for system administration and enhanced services, such as voice mail, call queueing, follow-me call forwarding, telephony-computer integration, and speech recognition. Besides enabling individual programs to provide telephony services, TAPI manages the telephony devices, so more than one program using a line can remain active simultaneously. One program can wait for a call while another is dialing out.

In a client-server environment, telephony can be managed like any other network service. You can specify the lines and phones available to particular users and use the Windows domain security system to control access to telephony resources. Telephony service providers and all stored parameters can be updated across a LAN, making it easy to set up, use, and manage resources without regard to physical location.


PSTNs, PBXs, and computer networks

In telephony, desktop computers interact with telephony hardware. Most PBXs implement the computer-telephony integration (CTI) link with hardware that connects the PBX to one or more computers. Communication between a PBX and computers is rarely straightforward, because many vendors implement the CTI link differently. Furthermore, there is no standard for encoding data on the CTI link. As a result, computer-based telephony programs often need to understand the switch's proprietary language, which requires a separate driver. By using TAPI, you can use one API which many programs can use to request telephony services, and supply one translator (called a TAPI service provider) for each PBX or other piece of telephony hardware.

Windows supplies several TAPI service providers. The TAPI service provider that enables telephony client-server functionality is the Microsoft Windows Remote Service Provider. Proprietary hardware may require additional TAPI service providers, which are normally packaged with the hardware or available from the equipment manufacturer.

Microsoft Windows client-server components

TAPI includes the following components that support client-server CTI.

Server-side components

The following components are available on the TAPI server.

  • Telephony snap-in. Enables administrators to administer and monitor a Telephony server, lines, phones, and users.
  • Telephony service provider. Translates between the generalized commands created by the TAPI service and the proprietary commands that the hardware uses. Provided by the hardware vendor.
  • TAPI service. On the server side, communicates with the remote service provider running on the clients. Also communicates with TAPI programs running on the server, such as the client manager program.

Client-side components

The following components must run on the client or appear on the client.

  • TAPI service. On the client side, communicates with client-side TAPI programs and acts as a link between those programs and the TAPI remote service provider.
  • TAPI remote service provider. Communicates over the network with the TAPI service running on the TAPI server computer.

Note that these components do not include client-side telephony programs. Some general purpose programs use TAPI, such as Phone Dialer. Specialized programs, such as those that manage call centers, are provided by independent software or hardware vendors.


How TAPI supports programs and hardware

The Telephony Application Programmers Interface (TAPI) supports programs that share the same communication ports and devices. Communication programs use TAPI to communicate with and control the appropriate hardware. TAPI manages the way programs and their call traffic use ports and devices. TAPI service providers provide support for particular devices or classes of devices.

TAPI support for telephony applications

TAPI service providers

TAPI service providers are dynamic link libraries (DLLs) that translate the commands for a specific computer telephony device, carrying out the low-level tasks required to communicate over telephone and IP networks.

The TAPI service providers provide a consistent set of functions, so telephony programs can provide a standard user interface and similar functionality for different hardware devices or for different network protocols and architectures.

In this way, telephony applications can provide functionality that is not dependent on particular hardware. The service provider performs the device-dependent tasks that applications need to provide telephony services. Multiple service providers can be installed as long as they access different hardware devices or network protocols.

How TAPI makes services available

TAPI arbitrates requests from different communication programs so they can run simultaneously while sharing communication ports and devices. Each service provider controls its hardware. For example, one Windows-based program can use TAPI functions to make outgoing calls while other programs are waiting for incoming calls.

Although only one program controls any single call, the devices are available to other programs, and users do not have to close other programs that share a communication port.

Supplied TAPI service providers

The following table lists telephony service that are supplied with the Windows 2000 operating system.

TAPI service providers | Used for
H.323 | IP telephony multimedia communications
Multicast Conference | IP telephony multiparty conferencing
Unimodem 5 | Modems
NDIS Proxy | Connection-oriented network devices using NDIS 5
TAPI Kernel-Mode | Connects network devices using NDIS 4
TAPI Remote | Client-server telephony

Additional hardware support

Other service providers can be installed along with hardware or software that is added to a computer running Windows 2000.

Hardware manufacturers normally supply device drivers for their hardware. To provide telephony services for the hardware, the manufacturers or independent software vendors provide TAPI service providers to control the hardware. Each service provider supports at least one device specific to that category of communication, such as a fax board, an ISDN card, a telephone or a modem. Some service providers support several devices, or even an entire class of devices.

For more detailed information about how TAPI works, see Telephony resources.


IP telephony

This section covers:

  • Conventional and IP telephony
  • IP telephony concepts
  • H.323 IP telephone calls


Conventional and IP telephony

Traditional telephony services, which are based on the public switched telephone network (PSTN), are handled by telephones, videophones, pagers, dedicated fax machines, PBX (private branch exchange) controllers, and other hardware connected to the PSTN or a PBX. With the integration of computers and telephony, network servers can support PBX systems and personal computers can operate as phones, fax machines, and answering machines.

Internet Protocol (IP) telephony refers to the technologies that enable voice, data, and video communications over IP-based LANs, WANs, and the Internet. IP telephony uses open IETF and ITU standards to transmit multimedia over any network that uses the Internet Protocol IP. IP telephony allows seamless integration of data, audio, and visual communication.

TAPI merges traditional telephony and IP telephony in a single common interface. In Windows 2000, TAPI provides not only the traditional telephony service providers but also H.323 conferencing and IP multicast conferencing. These provide for multimedia communications over networks (such as voice, video, and data) and enable groups to communicate efficiently.

The system completely merges voice and data and can eliminate the need to operate separate voice and data networks. Depending on the protocols available, LAN-based telephony uses Voice over IP (VoIP) or asynchronous transfer mode (ATM) to deliver voice calls over the local area network. The connection to the traditional telephone system is provided by a PSTN gateway on the TAPI server.

LAN-based telephone systems are useful for both small and large organizations. The physical location of telephony devices is not important, so the LAN-based telephony system works well for a distributed environment, such as companies that have remote sites connected to their main office with a wide area network (WAN). Telephony resources at specific locations can be made available over a wide area.


IP telephony concepts

IP telephony refers to telephone communications over TCP/IP networks. In contrast to the PSTN, which consists of analog and digital signals over a circuit-switched network, IP telephony is packet switched. All information to be transmitted over the network is separated into data packets. Each packet has a header containing its source and destination, a sequence number, a block of data content, and an error-checking code. Routers and servers direct these packets over the network until they arrive at their destination. When the packets arrive, the sequence number is used to reassemble the packets in their original order. Unlike PSTN telephony, which dedicates a circuit for a telephone call, the data packets share a circuit with other transmissions.

How IP telephony works

IP telephony blends voice, video, and data by using TCP/IP as a common transport, effectively collapsing these separate channels into one. Clients using IP telephony employ either existing multimedia hardware or a phone plugged into a PSTN adapter.

IP telephony supports voice communication, voice and video mail, and video on demand. IP telephony also enables voice and video conferencing over the Internet and existing IP-based LANs and WANs.

Benefits of IP telephony

IP telephony provides the following benefits:

  • IP telephony moves multimedia traffic over any network that uses IP. This offers users both flexibility in physical media (PSTN lines, xDSL, ISDN, leased lines, coaxial cable, satellite, and twisted pair) and flexibility of physical location.
  • IP telephony lowers costs of existing services, such as voice and broadcast video, and broadens means of communication to include audio and video conferencing.

TAPI support for IP telephony

Two TAPI service providers provide IP telephony support in Windows 2000: the H.323 and Multicast Conference TAPI service providers. These support the H.323 and IP multicast conferencing standards and enable different IP telephony programs to interoperate with each other. Organizations can now take full advantage of the global reach of the Internet or the immediacy of a corporate intranet for real-time communication.

Quality of service for IP telephony

Packet-switched networks such as the Internet do not dedicate a connection between parties, so they cannot guarantee quality of service (QoS) as the PSTN does. Historically, they have been used for programs, such as e-mail and file transfer, where variable QoS is acceptable.

However, QoS for IP telephony is steadily improving, even on the Internet. Unreliability on the Internet is not due to the TCP/IP protocol, but because it assembled from many networks that have no single authority for resource allocation. During high usage periods, users push additional packets onto already saturated networks.

Organizations can now design private networks to provide adequate bandwidth and redundant paths between switching points for high quality IP telephony. New software and hardware have improved QoS, and voice over IP on a WAN can be as good as standard PSTN calls, even if the network is congested. QoS Admission Control and other features of Windows 2000 enhance quality of service in Windows 2000. (See QoS Admission Control defined).


H.323 IP telephone calls

The H.323 TAPI Service Provider provides H.323 version 1.0 support for TAPI-based applications in Windows. H.323 is a comprehensive International Telecommunications Union (ITU) standard. It provides for multimedia communication over computer networks that do not provide a guaranteed quality of service, such as IP-based networks and the Internet. The H.323 standard enables any H.323-compliant terminal to operate with another.

H.323 encompasses call control, multimedia streaming, and bandwidth management for point-to-point calls and multipoint conferences over packet-switched networks. It is used for peer-to-peer, two-way delivery of audio and video phone data. It is designed to interact well with PSTN or Internet phone gateways. For conferencing, it works well for a moderate number of participants.

H.323 support defines audio and video information format and how it is packaged for transmission over the network. Standard audio and video codecs encode and decode input and output from audio and video sources to be communicated between nodes on a network.

TAPI 3.0 in Windows 2000 supports H.323 gateways and proxies. Support for H.323 Gatekeepers is not included in the current release of TAPI. To implement H.323 gateways and proxies with the H.323 TAPI Service Provider, see To specify an H.323 gateway or proxy.


IP multicast video conferencing

This section covers:

  • Introduction to IP multicast video conferencing
  • How TAPI supports IP multicast video conferencing
  • Site Server ILS service
  • Security for multicast video conferencing


Introduction to IP multicast video conferencing

The bulk of network traffic is unicast. When clients request data, the source responds by sending a separate copy to each client. When a source broadcasts data, it sends a separate copy to every address. Because a source sends multiple copies of data, the unicast model becomes unsupportable when conferences have anything more than modest numbers of participants.

In contrast, a multicasting source sends a single copy of data to a multicast address. The data is then distributed by multicast-enabled routers on the network to all the clients that request it. To signal that they want to receive a multicast, clients join the group to which the multicast is directed. As clients on a subnet join a group, the router for the group begins sending a copy to the subnet router, which routes copies of the multicast to its clients.

Multicast routers and branches on tree

In a hierarchical network with many different branches, the routers on each branch are responsible for sending data down the correct branches to other routers and subnets where group members are waiting for data. When the last client on a subnet leaves a group, the router stops sending data to the subnet, therby freeing system resources.

The model includes the following features:

  • Global coordination is not needed to add and remove members from a conference.
  • To receive data, users need only register their interest in a particular multicast IP address with a multicast-aware router.
  • To reach a multicast group, a user need only send data to a single multicast IP address.
  • Knowledge of other multicast group participants is not necessary.
  • Routers hide implementation details from users.


How TAPI supports IP multicast video conferencing

In Windows 2000, the DHCP service provides the Multicast Address Dynamic Client Allocation Protocol (MADCAP) support required for IP multicast video conferencing. DHCP provides unicast addresses for point to point communications between two networked computers. These addresses are unique and specific to a single network. In contrast, MADCAP provides multicast IP addresses, which are shared by many computers. These enable data to be forwarded to all members of a multicast group. The membership of a multicast group is dynamic, which means individual hosts can join or leave the group at any time.

MADCAP is part of the Windows 2000 DHCP service, which is an optional component of Windows 2000 Server. Clients that are manually configured or use DHCP to obtain a unicast IP address lease can also use MADCAP to obtain multicast IP address configuration. Although MADCAP is packaged in the DHCP service, the DHCP and MADCAP services are independent of each other. You can use a MADCAP server to provide multicast addresses and run DHCP on other servers to provide DHCP services on your network.

MADCAP is built on a client/server model, where multicast conference hosts request addresses from a MADCAP server. For example, when you create a conference with Phone Dialer, it automatically looks for a MADCAP server on the network and requests a multicast address for the conference.

After a conference is created on the network, it can be advertised by the Site Server ILS Service on a Windows 2000 server (see Site Server ILS service). This service provides a directory of conference descriptors, which includes the names and multicast IP addresses for conferences. The Multicast Conference TAPI Service Provider resolves conference names to IP multicast addresses using the conference descriptors stored on the Site Server ILS server.

For information about installing IP multicast and videoconferencing on your network, see Enabling IP multicast video conferencing.


Site Server ILS service

The Site Server ILS service is used to publish IP multicast conferences on the network. You can also use it to publish user IP address mappings for H.323 IP telephony. Site Server ILS Service also allows you to make H.323 calls from NetMeeting to the Phone Dialer provided in the Windows accessories. To support these functions, you need to install Site Server ILS service on at least one server on your network.

The Site Server ILS service offers a standards-based dynamic directory solution to the user location problem on the Internet. Site Server ILS service can be used to create dynamic network communities, enabling users to:

  • Find friends who are currently logged on to an Internet service or site.
  • Use real-time communication software, such as Microsoft NetMeeting, to connect to other computers for Internet telephone calls.

Site Server ILS service runs as a service on Microsoft Internet Information Services (IIS). It handles multiple users and ILS queries simultaneously.


Security for multicast video conferencing

The TAPI 3.0 conference security system determines who can create, delete, view, and join conferences. Each published conference can be associated with a security descriptor. This specifies object access rights on a user or group basis.

By associating security descriptors with SDP conference descriptors, conference creators can specify who can enumerate and view conference announcements. User authentication is provided by the Windows 2000 security subsystem.

Encryption of media streams is not currently supported.

For more information, see Security.


TAPI, Active Directory, and Site Server ILS service

Active Directory is the extensible and scalable directory service for Windows 2000 Server, and Site Server ILS service manages conference objects.

TAPI uses Active Directory to facilitate H.323-based IP telephony calls. Users' names and their IP addresses are placed inside user objects in Active Directory, so users can specify user names in place of IP addresses when making H.323 telephone calls. TAPI provides transparent translation from user names to their computer IP addresses. In networks where Active Directory is not yet installed, the Site Server ILS service can be used for the same purpose. Site Server ILS service manages conference objects, so for your network to support multicast conferencing, Site Server ILS service must be running on a server on the network.

You can use Active Directory to publish the locations of servers running Site Server ILS service on the network. TAPI uses this information to find Site Server ILS servers and communicate with them. If Active Directory is not being used, users must manually configure their TAPI programs with the locations of the ILS servers.

See Active Directory, Site Server ILS service, and Use Site Server ILS service for additional information about installing, configuring, and using these services on your network. See H.323 IP telephone calls for more information about the H.323 protocol and the TAPI service provider that supports it.


Telephony service providers

This section covers:

  • NDIS Proxy TAPI Service Provider
  • TAPI Kernel-Mode Service Provider
  • Unimodem Service Provider
  • TAPI Remote Service Provider
  • H.323 TAPI Service Provider
  • Multicast Conference TAPI Service Provider


NDIS Proxy TAPI Service Provider

The Network Driver Interface Specification (NDIS) encapsulates the network driver so it is protocol-independent. Windows operating systems use NDIS drivers to support various network configurations and media, including Ethernet and token ring as well as connection-oriented networks, such as ISDN and ATM.

The NDIS Proxy TAPI Service Provider enables TAPI to control NDIS 5 devices. Remote Access Service uses this TAPI service provider to set up network connections across NDIS WAN devices for My Network Places. This service provider is included with Windows 2000. To map addresses for the different types of calls received by the NDIS Proxy TAPI Service Provider on the local computer, see To configure a telephony service provider. To configure a service provider on a remote server, see To configure service providers on a telephony server.


TAPI Kernel-Mode Service Provider

The Network Driver Interface Specification (NDIS) encapsulates the network driver so it is protocol-independent. Windows operating systems use NDIS drivers to support a wide range of network media, including Ethernet, token ring as well as connection orientated networks, such as ISDN and ATM.

The TAPI Kernel-Mode Service Provider enables TAPI to control NDIS version 4 devices. Network and Dial-up Connections uses this TAPI service provider to set up network connections across NDIS WAN devices for My Network Places connections (see Using My Network Places). This service provider is installed with the Windows 2000 operating system and requires no configuration.


Unimodem Service Provider

The universal modem driver (Unimodem) provides services for data, fax, and voice modems so that users and program developers will not have to learn or maintain modem AT commands to dial, answer, and configure modems. Unimodem performs these tasks by using files that specify the AT command sets and expected responses for modems. These files usually have an .inf extension.

Unimodem supports both data and voice, so a modem can be used for data and fax functions, as a speaker phone, as an answering machine, and so on.

For additional information about modems, see Phone and Modem Options.


TAPI Remote Service Provider

The TAPI Remote Service Provider enables a Windows client computer to access and control remote TAPI devices connected to a Windows server, such as telephone sets and phone lines. The remote service provider makes the client-to-server link transparent to programs. Just as a program prints the same whether a printer is local or remote, a program can use a telephony device whether it is local or remote.

TAPI Remote Service Provider

The Remote Service Provider resides on the client computer, where it appears as a TAPI service provider. When a program makes a TAPI request, the Remote Service Provider interprets the request and sends it across the computer network to the TAPI service running on the server. The program then uses the TAPI service provider for the telephone device installed on the server. By using this solution, clients can share a telephony resource over the network.

The remote service provider is installed with TAPI 3.0 on the Windows 2000 and Windows 98 operating systems. Windows NT 4.0 and Windows 95 clients need to upgrade to TAPI 2.1. See Service packs and updates for additional information.


H.323 TAPI Service Provider

The H.323 TAPI service provider allows TAPI-supported programs to engage in multimedia calls with any H.323-compliant terminal on the local area network. It is also designed to work well with standard phone or Internet phone gateways. This service provider supports applications that enable computer users to interconnect and communicate with other people over IP-based networks, just as people using different makes and models of telephones can communicate over PSTN lines.


Multicast Conference TAPI Service Provider

The Multicast Conference TAPI Service Provider supports IP multicast video conferencing for TAPI clients. Using IP multicast, users participate in efficient multicasting, sending data to a single conference IP address instead of copying data to all participants in a conference. This service provider is installed with the Windows 2000 operating system.


Using telephony

This section covers:

  • Dialing rules overview
  • Telephony hardware requirements
  • Setting up workstations for IP telephony
  • Setting up conference rooms
  • Enabling IP multicast
  • Eliminating acoustic echo
  • Using Phone Dialer for telephony


Telephony hardware requirements

To hook up a regular (PSTN) phone line to your local computer, you must have a voice modem. To send and receive faxes in addition to making voice or data calls, you must have a fax modem.

For you to use IP telephony service providers, your computer must have a sound card.

To support speech and hearing simultaneously, you must have a full duplex sound card.

To include video communications, you must have a video capture card.

You may need to install other hardware for special telephony applications. For example, to connect trunk lines for a personal computer–based telephony server or cables to connect to a PBX system, you may need expansion cards. For additional information about your telephony hardware requirements, consult your vendor.

See the Microsoft Windows Hardware Compatibility List on the Microsoft Web site to verify the compatibility of hardware to install in a Windows 2000 computer.


Setting up workstations for IP telephony

Each client workstation must run Windows 2000 and be equipped with a video camera, sound card, speakers and microphone (or headset).

Install Windows 2000

All the Windows 2000 components required to support TAPI Multicast conferencing on a client computer are installed by default on Windows 2000 Professional and Server.

Computer and user accounts

The client workstation should be added to a Windows 2000 domain, and a computer account should be created for it. The user should also have a user account in a Windows 2000 domain, and should log on to the system with this account.

If computer or user accounts for Windows 2000 domain are not created, users will not be able to access the Active Directory, and will have to manually add their LDAP servers to Phone Dialer or other multicast conferencing applications. The multicast conferencing capabilities are otherwise still available.

Install a full duplex audio sound card

Windows 2000 supports a wide range of audio devices. Multicast conferencing requires a sound card capable of full duplex audio functions. Such sound cards allow audio to be played back and recorded simultaneously. The manufacturer's documentation should describe the characteristics of your sound card.

Verifying full duplex audio

If you are uncertain whether your system supports full duplex audio, start Sound Recorder and record a long message (about one minute). Rewind the recording and start Sound Recorder again, so it appears in two places on the desktop. In the first instance of Sound Recorder, start playing back the recording and then use the other instance to simultaneously record another message. If you can record and play back simultaneously, then your system supports full duplex audio. For more information about using Sound Recorder, see Using Sound Recorder.

Eliminating acoustic echo

Acoustic echo is a common problem with audio conferencing systems. It originates in the local audio loop back that happens when your microphone picks up audio signal from your speaker, and sends it back to the other participant along with your own voice. Due to acoustic echo, the other participant hears an echo of his or her own voice.

In cases where very sensitive microphones are being used, speaker volume is turned up high, or microphone and speaker are placed in close proximity to each other, normal conversation may become impossible for the other participants in the conference.

Using headsets

One of the easiest ways to completely eliminate acoustic echo is to use audio headsets. These work by playing back audio at low volume in close proximity to your ears, thus eliminating any possibility of the microphone picking up the incoming audio signal.

Using echo cancelling microphones

A more expensive solution is to use special microphones with built-in echo canceling capabilities. These microphones contain digital signal processing electronics that allow them to scan the incoming audio signal and detect and cancel out acoustic echo. The main advantage is that users are able to avoid wearing a headset.

Install the video camera

Video cameras designed to connect to your computer capture and transfer video images to the computer. TAPI multicast conferencing components are able to acquire these images using WDM or Video for Windows interfaces that are built into the operating system.

Many of the older video cameras require the use of a video capture card that fits into an ISA or PCI slot inside your computer, and connects to the camera with a cable using connectors built into the back of the capture card. Windows 2000 has support for many such cameras.

The newer generation of cameras uses Universal Serial Bus (USB) interfaces to eliminate the need for a video capture card. The camera can be directly plugged into a USB port in the back of your computer without switching off or opening up the computer. Windows 2000 automatically detects these cameras using Plug and Play and installs all the device drivers necessary to make the camera work.

Ensure that Windows 2000 drivers are available for the model you choose.

Adding USB ports to your computer

Some older computer models may not contain USB ports. This is easily determined by examining the back of the computer for a rectangular female socket corresponding to the male USB connector on your camera.

Such computers can be upgraded by using PCI cards that have two to four USB ports on the back. Inexpensive cards can be ordered from online computer retail Web sites.


Setting up conference rooms

On the computer, conference rooms have similar configurations as workstations, but you must provide audio and visual coverage for a group of people.

Get a good microphone

Headsets are not practical for cancelling echos in conference rooms. Special equipment that cancels echos is required, which contains long range microphones and speakers with automatic gain control. Some of these devices can track a speaker walking around a room and automatically adjust the volume before transmitting it to other participants. Several manufacturers produce this equipment. For more information, see Eliminating acoustic echo.

Install a large screen television

Your conference rooms may already be equipped with large screen televisions or projection systems. Connect the video output from a computer to these systems to provide an image that is suitably large for viewing by groups of people.

Set up logon access

When a participant joins a multicast conference, TAPI automatically determines the name of the user and displays this to other conference participants. This works fine for client workstations, because users usually log on to Windows using their domain accounts. For a video conferencing computer in a conference room, you may want to create a user account that uses the conference room name or location. This allows participants to associate the name of the conference room with its image.


Enabling IP multicast

To enable multicast conferencing on your network, you must install the Site Server ILS service and configure a server with the MADCAP service. The steps are listed in Checklist: Installing IP multicast video conferencing.

To test the MADCAP installation, open Phone Dialer on a workstation in the network. (See Using Phone Dialer for telephony.) In Phone Dialer, create a new multicast conference. If there is a problem with the multicast scope setup on the MADCAP server, this will fail and display an error message.

For more information about MADCAP and Microsoft's implementation of multicast conferencing, see How TAPI supports IP multicast.

Checking routers on your network

Use the MCAST diagnostic tool included with the Windows 2000 Resource Kit to determine which parts of your network are enabled for transmission of IP multicast packets. MCAST can send and receive multicast packets. Use the tool in send mode to set up multicast sources at different locations on your network. Use it in receive mode to determine where multicast traffic is being received.

To run MCAST as a multicast sender, open a Command Prompt window and type the following command line:

MCAST /SEND /INTF:172.31.253.55 /GRPS:239.255.1.1 /INTVL:1000 /NUMPKTS:3600

This sends multicast packets from the IP address 172.31.253.55 to the multicast group IP address 239.255.1.1 at the rate of 1 packet every 1000 milliseconds.

To run MCAST as a multicast receiver, open a Command Prompt window and enter the following command line:

MCAST /RECV /INTF:157.55.100.98 /GRPS:239.255.1.1

This receives multicast packets on the IP address 157.55.100.98 for the multicast group address 239.255.1.1. Received packets are displayed in the command prompt window.

Windows 2000 also provides two multicasting utilities for troubleshooting and diagnostics:

  • MRINFO displays the configuration of a multicast router.
  • ROUTEMON diplays multicast group tables and troubleshooting information for interfaces.

These utilties and MTRACE command support are described in Using the IP multicasting utilities. For more information about the Windows 2000 Resource Kit, see Windows 2000 Resource Kit.

Configuring routers on your network

If there is a router on your network and you want to enable multicast conferencing across the router, you may have to configure your router to handle multicast packets. This can involve several steps:

  1. Enable multicast for the network (globally).
  2. Determine the interfaces on which to use multicast, and enable multicast on those interfaces.
  3. Enable multicast routing protocols on specific devices. For example:
    • PIM Sparse mode for links that have limited bandwidth.
    • PIM Dense mode for links that have broad bandwidth.
    • DVMRP
  4. Create access lists specifying the range of multicast group addresses allowed to cross the router.
  5. Associate access lists with specific interfaces on different routers.

For configuring the Windows 2000 routing services, see Routing. To configure a particular router, refer to the documentation provided by the manufacturer.


Eliminating acoustic echo

Acoustic echo is a common problem with audio conferencing systems. It originates in the local audio loopback that occurs when your microphone picks up audio signals from your the speaker, and sends it back to the other participant along with your voice. The other participant than hears this acoustic echo of his own voice as he speaks. For example:

  1. Alice and Bob are participating in a call or conference.
  2. Alice speaks into her microphone.
  3. Bob hears Alice's voice played by his speaker.
  4. Bob's microphone also picks up and transmits Alice's voice.
  5. Alice can now hear an echo of her own voice, with a slight delay due to the round-trip transmission time.

Acoustic echo can be caused or exacerbated when very sensitive microphones are used, speaker volume is turned up very high, or the microphone and speaker are very close to one another. Besides being annoying, this can prevent normal conversation among participants in a conference.

Eliminate echo with audio headsets

One of the easiest ways to completely eliminate acoustic echo is to use audio headsets. These play audio at low volume very close to a conference participant's ears. This prevents the microphone from picking up the audio signal.

Many different audio headsets are available to use with personal computers. These have connectors designed to fit into the audio jacks on sound cards. Some of them have built-in microphones that enhance audio quality by staying a constant distance from a person's mouth, even while one moves or changes position.

Eliminate echo with echo-canceling microphones

A more expensive solution is provided by special microphones with echo canceling features. These microphones contain digital signal processing electronics that scan the incoming audio signal and detect and cancel acoustic echo. Echo canceling microphones allow users to avoid wearing headsets. These provide the only reasonable solution for a several people in one room who are party to a conference call.


Using Phone Dialer for telephony

Phone Dialer is a TAPI-based program that is installed with the Windows 2000 operating system. You can use this program for dialing over a modem that is connected to directly to the computer, IP phone calls over the computer network, PSTN phone calls using an H.323 gateway to a PBX, IP phone calls between networks or over the Internet using an H.323 proxy, and IP multicast video conferencing.

Depending on which types of telephony you are going to support on your network, users need a telephone connected to their computer or the PBX, a modem, a network account, a telephone switch connected to your local area network, or an Internet address.

Locating the Site Server ILS server for IP multicast video conferencing

To support creating and joining conferences, Phone Dialer needs the location of the Site Server ILS server on your network. If all the following conditions are met, Phone Dialer will locate the server automatically:

  • The computer running Phone Dialer is a member of a Windows 2000 domain.
  • The user is logged on with a Window 2000 domain account.
  • The Site Server ILS server is published in Active Directory.

If these conditions are not met, you must must specify the location of a Site Server ILS server by creating a new Internet Directory.

In Phone Dialer, three types of directories are supported:

  • Internet Directories, which represent Site Server ILS servers that contain objects representing people and conferences.
  • My Network Directory, which represents the Active Directory and contains objects representing people. It starts out empty, so a user can select the people shown here by adding them to this directory.
  • Speed Dial, which represents IP addresses or phone numbers that are called frequently.
    • `

Conferences are always created and published on a Site Server ILS server that appears as an Internet directory. Normally, Phone Dialer locates the Site Server ILS server automatically by using Active Directory. If the conditions listed above are not met, then My Network in the Internet Directories indicates that that it is not available.

To specify the location of the Site Server ILS server manually, right-click the Internet Directories node, and then click Add Directory. In Directory name, type the computer name or IP address of the Site Server ILS server on the network.


Resources

This section contains references to additional information related to Windows 2000 telephony.

Service packs and updates

TAPI 2.1 supports PSTN client-server telephony shipped with Windows 2000. TAPI 3.0 supports both PSTN telephony and media stream IP telephony and is compatible with products supported by previous versions of TAPI. For developers, TAPI 3.0 provides both command and COM interfaces.

The following table shows the version of TAPI shipped with each Windows operating system. (Recent releases, service packs, or updates may not appear on this table.)

Windows release | TAPI version
Windows 95 | TAPI 2.0
Windows NT 4.0 | TAPI 2.0
Windows NT 4.0 Service Pack 4 | TAPI 2.1
Windows 98 | TAPI 2.1
Windows 2000 | TAPI 3.0

Current updates and service packs for different versions of Windows can be found at the Microsoft Windows page of the Microsoft Web site (http://www.microsoft.com/).

Other related Microsoft Web sites

  • To verify hardware compatibility with Windows 2000, see the Microsoft Windows Hardware Compatibility List on the Microsoft Web site (http://www.microsoft.com/).
  • For additional help, see Support Online from Microsoft Product Support Services on the Microsoft Web site (http://www.microsoft.com/)


Troubleshooting

This section provides information about troubleshooting Windows 2000 Telephony.

  • Troubleshooting IP telephony
  • Troubleshooting PSTN telephony


Troubleshooting IP telephony

What problem are you having?

There are no people or conferences under My Network in Phone Dialer.

Cause: The Site Server ILS server is currently not published in Active Directory.

Solution: Use the ilscfg command to publish the Site Server ILS server for your network. If necessary, install Site Server ILS service on a server in your network.

See also: To publish Site Server ILS servers; ilscfg; To install Site Server ILS service.

The Site Server ILS server is published correctly, but clients are unable connect to conferences.

Cause: The server and clients are not in the same domain.

Solution: Check that the Site Server ILS server is set up and accessible on the network. Test the connection with the ping command.

See also: Test TCP/IP connections by using the ping and net view commands.

An application fails to get a multicast address from the MADCAP server.

Cause: Server is unreachable from the client or it is not set up correctly.

Solution: The MADCAP server and client must both be in the same domain. The MADCAP server must be configured correctly.

See also: Using Multicast Scopes; Enabling IP multicast video conferencing; Checklist: Installing IP multicast video conferencing; To create a multicast scope.

You cannot create conferences, even though the Site Server ILS server is configured correctly and running on the network.

Cause: The client computer is not in the same domain as the Site Server ILS server.

Solution: The Site Server ILS server and its clients must be in the same Windows 2000 domain.

Application programs, such as Phone Dialer, warn that they are using a local random address allocation when users create conferences.

Cause: All addresses have been allocated for the scopes assigned for MADCAP.

Solution: Expand the size of the MADCAP scope.

See also: Using Multicast Scopes; Enabling IP multicast video conferencing; Checklist: Installing IP multicast video conferencing; To create a multicast scope.

A client cannot see all participants in a multicast conference.

Cause: Routers or Remote Access servers may not be configured correctly for multicast telephony.

Solution: Check that multicast is enabled in both directions on Routing and Remote Access servers.

See also: Understanding multicasting; Configure IP multicast support; Using the IP multicasting utilities.

Audio or video does not function correctly in a call or conference.

Cause: Either the audio and video are working incorrectly, or the system is using an older audio or video driver that is incompatible with Windows 2000. Test audio and video on your computer by doing the following:

  • Use Sound Recorder to check your microphone and speakers.
  • Use a video capture application to check the video camera and its settings, such as Vidcap32, found in the Software Development Kit. You may also use NetMeeting to verify that video is working.

Solution: Check at the audio or video equipment manufacturer's Web site for the latest Windows 2000–compatible drivers.

See also: Using Sound Recorder; Multimedia and Games Troubleshooter; To diagnose device problems.

There are audio or video device errors during calls or conferences.

Cause: The audio or video device is being used by another application, or the sound card does not support full-duplex functionality.

Solution: If closing another application that is using an audio or video device does not resolve the problem, then check that the sound card and driver support full-duplex functionality:

  • Start Sound Recorder, and record a long message (about one minute). Rewind the recording, and start Sound Recorder again, so that it appears in two places on the desktop. In the first instance of Sound Recorder, start playing back the recording you made, and then use the other instance to simultaneously record another message. If you can record and play back simultaneously, then your system supports full-duplex audio.

See also: Using Sound Recorder; Multimedia and Games Troubleshooter; To diagnose device problems.

Quality of audio and video is inferior.

Cause: QoS is not enabled on network.

Solution: Enable QoS Admission Control on routers.

See also: QoS Administration Control Service.


Troubleshooting PSTN telephony

What problem are you having?

One or more client computers cannot see the telephony server.

Cause: The server cannot be reached on the network because it is not set up correctly.

Solution: Ensure the following:

  • The client computers can successfully log into a domain.
  • The client computers can successfully see the server with the ping command.
  • That the Telephony Server has been configured correctly.

See also: Checklist: Installing a domain controller; Diagnose connections; Troubleshooting unicast IP; Manage telephony servers

Client computers cannot see lines on the telephony server.

Cause: The telephony server has not been set up correctly or users have not been authorized to access lines on the server.

Solution: When a TAPI-based program accesses lines on the telephony server, the user who is running the program process is first authenticated. For the user to see the lines, they must have been assigned to the user. Ensure that the server has been set up correctly and that the user is assigned lines on the server.

See also: Manage telephony servers; Assign a telephony user to a line or phone.

A client user cannot see lines or phones on the telephony server even though the server is set up correctly and the lines or phones have been assigned to the user.

Cause: The client computer has not been enabled to use the telephony server.

Solution: Use tcmsetup on the client computer to specify the telephony server.

See also: Specify TAPI servers on a TAPI client; tcmsetup

A program fails to start after a user cancelled out of the telephony location information dialog box.

Cause: The program requires TAPI to translate addresses, but address translation requires current telephony location information, which has not been specified.

Solution: When the location information dialog box is displayed, the user should enter the country/region, local area code, external line access settings, and select tone or pulse dialing. The user can instead create a location for telephony.

See also: Dialing rules overview; Create a new location

A client user cannot see a new line on the telephony server, even though the server administrator has assigned the user to the line.

Cause: When you assign a currently running client user to a line on the telephony server, the new settings will not be available until the user restarts the telephony service on the client computer.

Solution: Stop all client TAPI applications on the client so that the telephony service will shut down. When the client applications restart, they will be able to see the newly allocated lines. If you cannot get TAPI to shut down, restart the client computer.

See also: Manage TAPI clients and users; To start, stop, pause, or resume a service

A telephony program dials a long distance number incorrectly.

Cause: The program is not sending the correct number to TAPI.

Solution: Check that the number is entered correctly. If the long distance dialing rules for the country/region code are not being implemented, try entering the phone number in canonical address format:

+Country/RegionCode (AreaCode) SubscriberNumber

This is a universal address format for telephone numbers, and it is recognized by TAPI. The format distinguishes the country/region code, area code, and number so TAPI will dial according to the dialing rules for the country or region.

See also: Canonical address format for phone numbers


Ilscfg

Registers and unregisters servers running Site Server ILS service in Active Directory. It also lists registered ILS servers as well as users and conferences that are published on ILS servers.

Syntax

ilscfg /listpub

ilscfg servername {/publish [port] | /unpublish [port] | /listconf [port] | /listuser [port] | /maxresults number | /port number}

Parameters

/listpub
Lists ILS servers registered in Active Directory.
servername
The DNS name that identifies the ILS server on the network (for example, server1 or server1.domain1.microsoft.com).
/publish
Registers an ILS server in Active Directory.
/listconf
Lists all conferences on an ILS server.
port
The port number used by the Site Server ILS service on a server. The default port is 1002.
/unpublish
Unregisters an ILS server in Active Directory. The servername used with /unpublish must be the full DNS name that is displayed with /listpub (for example, server1.domain1.microsoft.com). Servername is not case sensitive, so you can use any combination of uppercase and lowercase letters.
/listconf
Lists all the conferences published on an ILS server.
/listuser
Lists all the users published on an ILS server.
/maxresults number
Specifies the maximum number of results listed by /listconf and /listuser.
/port number
Changes the port number for the Site Server ILS service on a server. The default port is 1002.

Note

  • If Windows 2000 Server does not recognize the ilscfg command, you need to install Site Server ILS service. The service does not need to be running for you to run the ilscfg command.

Related Topics


Active Directory and Site Server ILS service

TAPI uses Active Directory to facilitate H.323-based IP telephony calls. Users' names and their IP addresses are placed inside user objects in Active Directory, so users can specify user names in place of IP addresses when making H.323 telephone calls. TAPI provides transparent translation from user names to their computer IP addresses. In networks where Active Directory is not yet installed, the Site Server ILS service can be used for the same purpose. Site Server ILS service manages conference objects, so for your network to support multicast conferencing, Site Server ILS service must be running on a server on the network.

You can use Active Directory to publish the locations of servers running Site Server ILS service on the network. TAPI uses this information to find Site Server ILS servers and communicate with them. If Active Directory is not being used, users must manually configure their TAPI programs with the locations of the ILS servers.

See Active Directory, Site Server ILS service, and Use Site Server ILS service for additional information about installing, configuring, and using these services on your network. See H.323 IP telephone calls for more information about the H.323 protocol and the TAPI service provider that supports it.


Setting up the PSTN server and client

The Windows 2000 operating system automatically installs TAPI. This enables telephony programs to use telephony devices controlled by both local and remote TAPI service providers. For remote devices, the TAPI server controls user access to lines and phones. The TAPI remote service provider on client computers gives users access to telephony devices on remote servers. This following instructions summarize how to set up the TAPI server and clients.

Select a server that is part of a domain

Make sure that the server that will run the TAPI server is part of a domain and that the domain is trusted by the telephony users' domains. Add telephony clients to this domain or a reciprocally-trusted domain. Clients cannot be logged on to more than one domain at a time. For complete details about adding users or groups, see Users and Computers.

Administering the TAPI Server

Log on to the server as an Administrator. Administrators of the Telephony service must be in the same domain as the server or in fully-trusted domains. Use Telephony in the Microsoft Management Console to administer the TAPI server. The procedures in the following links open Telephony, which enables you to administer the service on the local computer. For more information about using MMC consoles to administer remote computers, see Working with MMC console files.

Enabling the TAPI server

The TAPI server is automatically installed with Windows 2000 Server. To begin using the TAPI Server, you must first enable it, and then specify the login account for the TAPI service on the server. You can also specify additional TAPI service administrators. They do not have to have administrative privileges on the entire server.

Use Telephony to enable the TAPI server. For more information, see To enable or disable a telephony server.

When you enable the server, enter the user name and password of the domain user account to run the telephony service on the server. (See To change the login account for Telephony service.) This account must be in the Administrators group on the server. It must also be in the same domain as the server or in a fully trusted domain. You may want to create a special account in the domain just for this purpose. If you do, name it with an easily recognizable name, such as TAPI_ADMIN.

You should also designate individuals who will administer the TAPI server. (For more information, see To designate Telephony server administrators.) This procedure enables you to let users who do not have administrative privileges on the TAPI server to administer the TAPI service. It does not give them any other privileges to administer the server. Users with administrative privileges to the Windows 2000 Server computer may administer the TAPI service just as they can administer any other service on the computer. These users must be in the same domain as the telephony server or in fully-trusted domains.

Provide access to TAPI service providers

The next step is to specify which clients have access to the TAPI service providers on the TAPI server. This is also performed in Telephony. You can do this by assigning users to a line or phone belonging to the service providers. (For more information, see To assign a telephony user to a line or phone.) Users need to be in the same domain as the TAPI server or in a trusted domain. If you need to delete a user, follow the steps outlined in To remove users from telephony lines or phones.

Set up the TAPI clients

To use remote PSTN telephony devices on a server, TAPI clients must be running TAPI version 2.1 or later. Windows 2000 is installed with TAPI 3.0 and Windows 98 is installed with TAPI 2.1. For Windows NT 4.0 and Windows 95, refer to Service packs and updates for upgrade instructions.

For Windows 98 and Windows 95 computers:

  • They must be running Client for Microsoft Networks.
  • File and printer sharing for Microsoft Networks must be enabled.
  • User-level access control must be enabled.

For instructions on fulfilling these requirements, see To enable a Windows 95 or Windows 98 TAPI client.

Finally, for all systems, you need to specify the servers to be used by the client. For more information, see To specify telephony servers on a client computer. The clients must be in the same domain as the telephony server or in fully trusted domains.